Skip to main content
GET
/
customers
/
{customer_id}
/
cards
List all stored cards
curl --request GET \
  --url https://commerce1.on-hellgate.dev/customers/{customer_id}/cards \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "cardholder_name": "<string>",
      "expiration_month": 123,
      "expiration_year": 123,
      "masked_card_number": "<string>",
      "provider": "<string>",
      "status": "<string>",
      "token": "<string>"
    }
  ],
  "pagination": {
    "current_page": 123,
    "next_page": 123,
    "page_size": 123,
    "previous_page": 123,
    "total_items": 123,
    "total_pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

customer_id
string
required

Customer ID

Query Parameters

page
integer

Page cursor for pagination

limit
integer

Maximum items per page

Response

Success

data
CardResponse · object[]
pagination
PaginationSchema · object